Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.compiler
Class NameAttributeTest

    java.lang.Object
      |
      +--org.apache.commons.jxpath.ri.compiler.Expression
            |
            +--org.apache.commons.jxpath.ri.compiler.Operation
                  |
                  +--org.apache.commons.jxpath.ri.compiler.CoreOperation
                        |
                        +--org.apache.commons.jxpath.ri.compiler.CoreOperationCompare
                              |
                              +--org.apache.commons.jxpath.ri.compiler.CoreOperationEqual
                                    |
                                    +--org.apache.commons.jxpath.ri.compiler.NameAttributeTest

public class NameAttributeTest
extends CoreOperationEqual

Captures the `foo[@name=expr]` expression. These expressions are handled in a special way when applied to beans or maps.

Version:
  $Revision: 1.4 $ $Date: 2003/01/19 23:59:24 $
Author:
  Dmitri Plotnikov

Inner classes inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`Expression.PointerIterator, Expression.ValueIterator`

Fields inherited from class org.apache.commons.jxpath.ri.compiler.Operation
`args`

Fields inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`NOT_A_NUMBER, ONE, ZERO`

Constructor Summary
`NameAttributeTest(Expression namePath, Expression nameValue)`

Method Summary
`boolean` | `computeContextDependent()` Implemented by subclasses and result is cached by isContextDependent()
`Expression` | `getNameTestExpression()`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.CoreOperationEqual
`computeValue, getPrecedence, getSymbol, isSymmetric`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.CoreOperationCompare
`contains, equal, equal, findMatch`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.CoreOperation
`compute, toString`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.Operation
`getArguments`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`isContextDependent, iterate, iteratePointers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NameAttributeTest

    public NameAttributeTest(Expression namePath,
                             Expression nameValue)

Method Detail

### getNameTestExpression

    public Expression getNameTestExpression()

### computeContextDependent

    public boolean computeContextDependent()

  Description copied from class: `Expression`
  Implemented by subclasses and result is cached by isContextDependent()
  Overrides:
    `computeContextDependent` in class `Operation`
  See Also:
    `Expression.computeContextDependent()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.